	INCLUDE EFR32MG12.inc			; CPU register definitions	
		
	AREA    |.text|, CODE, READONLY	; another section in the CODE area	
;-------------------------------------------------------------------------------
GPIO_setup	PROC				; I/O Ports configuration
	EXPORT	GPIO_setup
	OORW	1<<3, CMU_HFBUSCLKEN0, CMU	; enable clock to GPIO
	OORW	0x44, GPIO_PD_MODEH, GPIO	; configure PD8,9 for digital output	
	bx	LR
	ENDP	

;------------------------------------------------
RTCC_setup	PROC
	EXPORT	RTCC_setup
	PUTW	1, CMU_LFECLKEN0, CMU		; enable clock to RTCC		
	PUTW	2, RTCC_CC0_CTRL, RTCC		; set output compare mode for RTCC CC0 		
	PUTW	0xF01+(1<<16), RTCC_CTRL	; start RTCC in Calendar mode
	bx	LR
	ENDP
		
	ALIGN
	END
	